<?php 
/**
 * Plugin adhesion
 *
 * @version	1.1
 * @date	05/11/2012
 * @author	Stephane F, Cyril MAGUIRE
 **/

if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
plxToken::validateFormToken($_POST);

if(!empty($_POST)) {
	$plxPlugin->setParam('adherents', $_POST['adherents'], 'cdata');
	$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
	$plxPlugin->setParam('mnuName', $_POST['mnuName'], 'string');
	$plxPlugin->setParam('mnuPos', $_POST['mnuPos'], 'numeric');
	$plxPlugin->setParam('mnuForgetPass', $_POST['mnuForgetPass'], 'string');
	$plxPlugin->setParam('mnuMyAccount', $_POST['mnuMyAccount'], 'string');
	if(!plxUtils::checkMail($_POST['email'])) {
		$_POST['email']='';
		plxMsg::Error($plxPlugin->getLang('L_ERR_EMAIL'));
	}
	$plxPlugin->setParam('cle', $_POST['cle'], 'numeric');
	$plxPlugin->setParam('annee', $_POST['annee'], 'string');
	$plxPlugin->setParam('nom_asso', $_POST['nom_asso'], 'string');
	$plxPlugin->setParam('adresse_asso', $_POST['adresse_asso'], 'string');
	$plxPlugin->setParam('domaine_asso', $_POST['domaine_asso'], 'string');
	$plxPlugin->setParam('email', $_POST['email'], 'string');
	$plxPlugin->setParam('subject', $_POST['subject'], 'string');
	$plxPlugin->setParam('subject_password', $_POST['subject_password'], 'string');
	$plxPlugin->setParam('msg_password', $_POST['msg_password'], 'string');
	$plxPlugin->setParam('thankyou', $_POST['thankyou'], 'string');
	$plxPlugin->setParam('validation_subject', $_POST['validation_subject'], 'string');
	$plxPlugin->setParam('validation_msg', $_POST['validation_msg'], 'string');
	$plxPlugin->setParam('devalidation_subject', $_POST['devalidation_subject'], 'string');
	$plxPlugin->setParam('devalidation_msg', $_POST['devalidation_msg'], 'string');
	$plxPlugin->setParam('template', $_POST['template'], 'string');
	//Look articles
	isset($_POST['hide_l_categories']) ? $plxPlugin->setParam('hide_l_categories', $_POST['hide_l_categories'], 'cdata') : '';
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=adhesion');
	exit;
}
$mnuDisplay =  $plxPlugin->getParam('mnuDisplay')=='' ? 1 : $plxPlugin->getParam('mnuDisplay');
$mnuName =  $plxPlugin->getParam('mnuName')=='' ? $plxPlugin->getLang('L_DEFAULT_MENU_NAME') : $plxPlugin->getParam('mnuName');
$mnuPos =  $plxPlugin->getParam('mnuPos')=='' ? 2 : $plxPlugin->getParam('mnuPos');
$mnuForgetPass =  $plxPlugin->getParam('mnuForgetPass')=='' ? $plxPlugin->getLang('L_DEFAULT_MENU_PASS') : $plxPlugin->getParam('mnuForgetPass');
$mnuMyAccount =  $plxPlugin->getParam('mnuMyAccount')=='' ? $plxPlugin->getLang('L_DEFAULT_MENU_MY_ACCOUNT') : $plxPlugin->getParam('mnuMyAccount');
$cle = $plxPlugin->getParam('cle')=='' ? 3 : $plxPlugin->getParam('cle');
$annee = $plxPlugin->getParam('annee')=='' ? 'civile' : $plxPlugin->getParam('annee');
$nom_asso = $plxPlugin->getParam('nom_asso')=='' ? '' : $plxPlugin->getParam('nom_asso');
$adresse_asso = $plxPlugin->getParam('adresse_asso')=='' ? '' : $plxPlugin->getParam('adresse_asso');
$domaine_asso = $plxPlugin->getParam('domaine_asso')=='' ? '' : $plxPlugin->getParam('domaine_asso');
$email = $plxPlugin->getParam('email')=='' ? '' : $plxPlugin->getParam('email');
$subject = $plxPlugin->getParam('subject')=='' ? $plxPlugin->getLang('L_DEFAULT_SUBJECT') : $plxPlugin->getParam('subject');
$subject_password = $plxPlugin->getParam('subject_password')=='' ? $plxPlugin->getLang('L_DEFAULT_SUBJECT_PASS') : $plxPlugin->getParam('subject_password');
$msg_password = $plxPlugin->getParam('msg_password')=='' ? $plxPlugin->getLang('L_DEFAULT_MSG_PASS') : $plxPlugin->getParam('msg_password');
$thankyou = $plxPlugin->getParam('thankyou')=='' ? $plxPlugin->getLang('L_DEFAULT_THANKYOU') : $plxPlugin->getParam('thankyou');
$val_sub = $plxPlugin->getParam('validation_subject')=='' ? $plxPlugin->getLang('L_DEFAULT_VAL_SUB') : $plxPlugin->getParam('validation_subject');
$val_msg = $plxPlugin->getParam('validation_msg')=='' ? $plxPlugin->getLang('L_DEFAULT_VAL_MSG') : $plxPlugin->getParam('validation_msg');
$deval_sub = $plxPlugin->getParam('devalidation_subject')=='' ? $plxPlugin->getLang('L_DEFAULT_DEVAL_SUB') : $plxPlugin->getParam('devalidation_subject');
$deval_msg = $plxPlugin->getParam('devalidation_msg')=='' ? $plxPlugin->getLang('L_DEFAULT_DEVAL_MSG') : $plxPlugin->getParam('devalidation_msg');
$template = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');

# On récupère les templates des pages statiques
$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
	foreach($array as $k=>$v)
		$aTemplates[$v] = $v;
}
$aAnnee = array(
	'civile'=>$plxPlugin->getLang('L_ANNEE_CIVILE'),
	'entiere'=>$plxPlugin->getLang('L_ANNEE_ENTIERE')
	);
$aClefs = array(3=>3,4=>4,5=>5,6=>6,7=>7,8=>8);
?>

<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php
if(function_exists('mail')) {
	echo '<p style="color:green"><strong>'.$plxPlugin->getLang('L_MAIL_AVAILABLE').'</strong></p>';
} else {
	echo '<p style="color:#ff0000"><strong>'.$plxPlugin->getLang('L_MAIL_NOT_AVAILABLE').'</strong></p>';
}
?>
<form id="form_plxmycontact" action="parametres_plugin.php?p=adhesion" method="post">
	<fieldset>
		<p class="field"><label for="adherents"><?php echo $plxPlugin->getLang('L_CONFIG_ROOT_PATH') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('adherents', $plxPlugin->getParam('adherents'), 'text'); ?>
		<a class="help" title="Ne pas oublier le slash à la fin">&nbsp;</a>
		<p class="field"><label for="id_mnuDisplay"><?php echo $plxPlugin->lang('L_MENU_DISPLAY') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('mnuDisplay',array('1'=>L_YES,'0'=>L_NO),$mnuDisplay); ?>
		<p class="field"><label for="id_mnuName"><?php $plxPlugin->lang('L_MENU_TITLE') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('mnuName',$mnuName,'text') ?>
		<p class="field"><label for="id_mnuPos"><?php $plxPlugin->lang('L_MENU_POS') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('mnuPos',$mnuPos,'text','2-5') ?>
		<p class="field"><label for="id_mnuForgetPass"><?php $plxPlugin->lang('L_MENU_FORGET_PASS') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('mnuForgetPass',$mnuForgetPass,'text') ?>
		<p class="field"><label for="id_mnuMyAccount"><?php $plxPlugin->lang('L_MENU_MY_ACCOUNT') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('mnuMyAccount',$mnuMyAccount,'text') ?>
		<p class="field"><label for="id_cle"><?php $plxPlugin->lang('L_CLE') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('cle', $aClefs, $cle) ?>
		<p class="field"><label for="id_annee"><?php $plxPlugin->lang('L_ANNEE') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('annee', $aAnnee, $annee) ?>
		<p class="field"><label for="id_nom_asso"><?php $plxPlugin->lang('L_NOM_ASSO') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('nom_asso',$nom_asso,'text','50-120') ?>
		<p class="field"><label for="id_adresse_asso"><?php $plxPlugin->lang('L_ADRESSE_ASSO') ?>&nbsp;:</label><br/></p>
		<?php plxUtils::printArea('adresse_asso',$adresse_asso) ?>
		<p class="field"><label for="id_domaine_asso"><?php $plxPlugin->lang('L_DOMAINE_ASSO') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('domaine_asso',$domaine_asso,'text','50-120') ?>
		<p class="field"><label for="id_email"><?php $plxPlugin->lang('L_EMAIL') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('email',$email,'text','50-120') ?>
		<p class="field"><label for="id_subject"><?php $plxPlugin->lang('L_EMAIL_SUBJECT') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('subject',$subject,'text','100-120') ?>
		<p class="field"><label for="id_thankyou"><?php $plxPlugin->lang('L_THANKYOU_MESSAGE') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('thankyou',$thankyou,'text','100-180') ?>
		<p class="field"><label for="id_subject_password"><?php $plxPlugin->lang('L_PASSWD_SUBJECT') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('subject_password',$subject_password,'text','100-120') ?>
		<p class="field"><label for="id_msg_password"><?php $plxPlugin->lang('L_PASSWD_MESSAGE') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('msg_password',$msg_password,'text','100-180') ?>
		<p class="field"><label for="id_validation_subject"><?php $plxPlugin->lang('L_VALIDATION_SUBJECT') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('validation_subject',$val_sub,'text','100-180') ?>
		<p class="field"><label for="id_validation_msg"><?php $plxPlugin->lang('L_VALIDATION_MESSAGE') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('validation_msg',$val_msg,'text','100-180') ?>
		<p class="field"><label for="id_devalidation_subject"><?php $plxPlugin->lang('L_DEVALIDATION_SUBJECT') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('devalidation_subject',$deval_sub,'text','100-120') ?>
		<p class="field"><label for="id_devalidation_msg"><?php $plxPlugin->lang('L_DEVALIDATION_MESSAGE') ?>&nbsp;:</label></p>
		<?php plxUtils::printInput('devalidation_msg',$deval_msg,'text','100-180') ?>
		<p class="field"><label for="id_template"><?php $plxPlugin->lang('L_TEMPLATE') ?>&nbsp;:</label></p>
		<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
		<p>
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
	</fieldset>
</form>
